// Generated by CoffeeScript 2.4.1
// ## A Brief Tour of dyna3

// When you load dyna3, you should initially see a three-dimensional coordinate system with labeled axes.
// ```javascript
var main;

import {
  threeLoaded,
  three as J3
} from './externals.js';

main = function() {
  var ball, camera, geometry, material, renderer, rht, rwd, scene;
  renderer = new J3.WebGLRenderer();
  rwd = window.innerWidth;
  rht = window.innerHeight;
  renderer.setSize(rwd, rht);
  document.body.appendChild(renderer.domElement);
  scene = new J3.Scene();
  geometry = new J3.SphereBufferGeometry(1, 5, 5);
  material = new J3.MeshBasicMaterial({
    color: 0xff00ff
  });
  ball = new J3.Mesh(geometry, material);
  scene.add(ball);
  camera = new J3.PerspectiveCamera(75, rwd / rht, 0.1, 1000);
  camera.position.z = 5;
  return renderer.render(scene, camera);
};

threeLoaded.then(main);

// ```

//# sourceMappingURL=dyna3.js.map
